"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Column = exports.Columns = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const coral_system_1 = require("coral-system");
const box_1 = require("./box");
exports.Columns = (0, coral_system_1.forwardRef)((props, ref) => {
    const { columns = 12 } = props, rest = tslib_1.__rest(props, ["columns"]);
    const templateColumns = getTemplateColumns(columns);
    return (
    // @ts-ignore
    react_1.default.createElement(box_1.Box, Object.assign({ ref: ref, display: "grid", gridGap: "xxl", gridTemplateColumns: templateColumns }, rest)));
});
exports.Column = (0, coral_system_1.forwardRef)((props, ref) => {
    const { colSpan, colStart, colEnd, rowSpan, rowStart, rowEnd } = props, rest = tslib_1.__rest(props, ["colSpan", "colStart", "colEnd", "rowSpan", "rowStart", "rowEnd"]);
    return (react_1.default.createElement(box_1.Box, Object.assign({ ref: ref, gridColumn: getSpan(colSpan), gridColumnStart: colStart, gridColumnEnd: colEnd, gridRowStart: rowStart, gridRowEnd: rowEnd, gridRowSpan: rowSpan }, rest)));
});
function getTemplateColumns(columns) {
    return `repeat(${columns}, 1fr)`;
}
function getSpan(span) {
    return span === 'auto' ? 'auto' : `span ${span}/span ${span}`;
}
