"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = void 0;
const styled_components_1 = require("styled-components");
const coral_system_1 = require("coral-system");
const truncatedStyle = (0, styled_components_1.css) `
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
`;
const textClampStyle = (0, styled_components_1.css) `
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: ${(props) => props.$lineClamp};
`;
const textStyle = (0, styled_components_1.css) `
  ${(props) => props.$lineClamp > 0 && textClampStyle};
  ${(props) => props.$truncated && truncatedStyle};
`;
exports.Text = (0, coral_system_1.coral)('span', textStyle, {
    prefix: '--music',
    attrs: (props) => ({
        textAlign: props.align,
        $truncated: props.isTruncated,
        $lineClamp: props.lineClamp,
    }),
});
