import type { HTMLCoralProps } from 'coral-system';
export type TextProps = HTMLCoralProps<'span'> & {
    /**
     * 文本对齐方式
     */
    align?: 'left' | 'right' | 'center' | 'justify' | 'initial' | 'inherit';
    /**
     * 是否在容器内自动截断（单行展示）
     */
    isTruncated?: boolean;
    /**
     * 最多展示的行数（超出截断）
     */
    lineClamp?: number;
    /**
     * 格式化类型
     */
    type?: 'number' | 'date';
};
export declare const Text: import("coral-system/dist/esm/types").CoralComponent<"span", TextProps>;
